/*	--------------------------------------------------
 *	Script:	    todayyest.js
 *  Author:     Neil Thomas
 *  Last Edit:  10th Feb 2023
 *	Based on:   /js/todayyest.js
 *          by: Mark Crossley
 *      Edited: 2021/05/16 20:55:48
 *  -------------------------------------------------
 *  Changelog   (NT)
 * 	Removed api call for version data - now in Page-Manager.js
 * 	Altered all API calls to use host root
 * -------------------------------------------------------------------*/
// Last modified: 

$(document).ready(function () {

    var tempTable = $('#TempTable').DataTable({
        "paging": false,
        "searching": false,
        "info": false,
        "ordering": false,
        "columnDefs": [
            {"className": "lable", "targets": [0]},
            {"className": "time", "targets": [ 2,4]},
            {"className": "right", "targets": [1,3]}
        ],
        "ajax": '/api/todayyest/temp.json'
    });

    var rainTable = $('#RainTable').DataTable({
        "paging": false,
        "searching": false,
        "info": false,
        "ordering": false,
        "columnDefs": [
			{"className": "lable", "targets": [0]},
            {"className": "time", "targets": [2, 4]},
            {"className": "right", "targets": [1,3]}
        ],
         "ajax": '/api/todayyest/rain.json'
    });

    var windTable = $('#WindTable').DataTable({
        "paging": false,
        "searching": false,
        "info": false,
        "ordering": false,
        "columnDefs": [
			{"className": "lable", "targets": [0]},
            {"className": "time", "targets": [2, 4]},
            {"className": "right", "targets": [1,3]}
        ],
         "ajax": '/api/todayyest/wind.json'
    });

    var humidityTable = $('#HumidityTable').DataTable({
        "paging": false,
        "searching": false,
        "info": false,
        "ordering": false,
        "columnDefs": [
			{"className": "lable", "targets": [0]},
            {"className": "time", "targets": [2, 4]},
            {"className": "right", "targets": [1,3]}
        ],
        "ajax": '/api/todayyest/hum.json'
    });

    var pressureTable = $('#PressureTable').DataTable({
        "paging": false,
        "searching": false,
        "info": false,
        "ordering": false,
        "columnDefs": [
			{"className": "lable", "targets": [0]},
            {"className": "time", "targets": [2, 4]},
            {"className": "right", "targets": [1,3]}
        ],
         "ajax": '/api/todayyest/pressure.json'
    });

    var solarTable = $('#SolarTable').DataTable({
        "paging": false,
        "searching": false,
        "info": false,
        "ordering": false,
        "columnDefs": [
			{"className": "lable", "targets": [0]},
            {"className": "time", "targets": [2, 4]},
            {"className": "right", "targets": [1,3]}
        ],
         "ajax": '/api/todayyest/solar.json'
    });

    setInterval(function () {
        tempTable.ajax.url('/api/todayyest/temp.json').load();
        rainTable.ajax.url('/api/todayyest/rain.json').load();
        windTable.ajax.url('/api/todayyest/wind.json').load();
        humidityTable.ajax.url('/api/todayyest/hum.json').load();
        pressureTable.ajax.url('/api/todayyest/pressure.json').load();
        solarTable.ajax.url('/api/todayyest/solar.json').load();
    }, 10000);

});


